<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Mon May 11 16:25:08 CEST 2020 -->
<title>Lease</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-11">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Lease";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Lease.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">thesis</a></div>
<h2 title="Class Lease" class="title">Class Lease</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="agents.html" title="class in thesis">thesis.agents</a></li>
<li>
<ul class="inheritance">
<li>thesis.Lease</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Lease</span>
extends <a href="agents.html" title="class in thesis">agents</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.thesis.agents">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;thesis.<a href="agents.html" title="class in thesis">agents</a></h3>
<code><a href="agents.html#current_car_type">current_car_type</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(repast.simphony.context.Context,int,int,int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean,java.lang.Boolean,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,int,int,float,float,float,java.lang.String,java.lang.String,java.lang.String,int,int,int,java.util.List,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.util.List,int,int,java.util.List,java.lang.Boolean,repast.simphony.space.grid.GridPoint,double)">Lease</a></span>&#8203;(repast.simphony.context.Context&lt;java.lang.Object&gt;&nbsp;context,
     int&nbsp;id,
     int&nbsp;age,
     int&nbsp;income,
     java.lang.String&nbsp;education,
     java.lang.String&nbsp;household_composition,
     java.lang.String&nbsp;sex,
     java.lang.String&nbsp;province,
     java.lang.String&nbsp;a_work_situation,
     java.lang.String&nbsp;a_prof_situation,
     java.lang.Boolean&nbsp;a_drivers_license,
     java.lang.Boolean&nbsp;a_has_car,
     java.lang.Boolean&nbsp;a_knowledge_BEV,
     java.lang.String&nbsp;parking_home,
     java.lang.String&nbsp;parking_at_work,
     java.lang.String&nbsp;car_combustion_type,
     int&nbsp;car_age,
     int&nbsp;car_weight,
     float&nbsp;distance_traveled,
     float&nbsp;CO2_emissions_traveled,
     float&nbsp;CO2_emissions_per_km,
     java.lang.String&nbsp;property_type,
     java.lang.String&nbsp;satisfaction_commute,
     java.lang.String&nbsp;reason_to_go_with_car,
     int&nbsp;knowledge_EV,
     int&nbsp;knowledge_environmental,
     int&nbsp;participation_environmental,
     java.util.List&lt;java.lang.String&gt;&nbsp;EV_reason,
     java.lang.String&nbsp;choice_without_f_aid,
     java.lang.String&nbsp;EV_positive_surprise,
     java.lang.String&nbsp;EV_negative_surprise,
     java.lang.String&nbsp;used_shared_car,
     java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_use_shared_car,
     java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_not_use_shared_car,
     java.lang.Boolean&nbsp;priv_loadPole,
     java.lang.String&nbsp;happy_walk,
     java.lang.String&nbsp;batt_suff,
     java.lang.String&nbsp;insuf_batt,
     java.util.List&lt;java.lang.String&gt;&nbsp;overview_facilities_used,
     java.util.List&lt;java.lang.String&gt;&nbsp;pos_elec,
     java.util.List&lt;java.lang.String&gt;&nbsp;neg_elec,
     int&nbsp;EV_happiness,
     int&nbsp;nbr_peop_organisation,
     java.util.List&lt;java.lang.String&gt;&nbsp;work_incentives,
     java.lang.Boolean&nbsp;needs_charging,
     repast.simphony.space.grid.GridPoint&nbsp;home_location,
     double&nbsp;happiness)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(repast.simphony.context.Context,int,int,int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean,java.lang.Boolean,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,int,int,float,float,float,java.lang.String,java.lang.String,java.lang.String,int,int,int,java.util.List,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.util.List,int,int,java.util.List,java.lang.Boolean,repast.simphony.space.grid.GridPoint,double,thesis.agents)">Lease</a></span>&#8203;(repast.simphony.context.Context&lt;java.lang.Object&gt;&nbsp;context,
     int&nbsp;id,
     int&nbsp;age,
     int&nbsp;income,
     java.lang.String&nbsp;education,
     java.lang.String&nbsp;household_composition,
     java.lang.String&nbsp;sex,
     java.lang.String&nbsp;province,
     java.lang.String&nbsp;a_work_situation,
     java.lang.String&nbsp;a_prof_situation,
     java.lang.Boolean&nbsp;a_drivers_license,
     java.lang.Boolean&nbsp;a_has_car,
     java.lang.Boolean&nbsp;a_knowledge_BEV,
     java.lang.String&nbsp;parking_home,
     java.lang.String&nbsp;parking_at_work,
     java.lang.String&nbsp;car_combustion_type,
     int&nbsp;car_age,
     int&nbsp;car_weight,
     float&nbsp;distance_traveled,
     float&nbsp;CO2_emissions_traveled,
     float&nbsp;CO2_emissions_per_km,
     java.lang.String&nbsp;property_type,
     java.lang.String&nbsp;satisfaction_commute,
     java.lang.String&nbsp;reason_to_go_with_car,
     int&nbsp;knowledge_EV,
     int&nbsp;knowledge_environmental,
     int&nbsp;participation_environmental,
     java.util.List&lt;java.lang.String&gt;&nbsp;EV_reason,
     java.lang.String&nbsp;choice_without_f_aid,
     java.lang.String&nbsp;EV_positive_surprise,
     java.lang.String&nbsp;EV_negative_surprise,
     java.lang.String&nbsp;used_shared_car,
     java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_use_shared_car,
     java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_not_use_shared_car,
     java.lang.Boolean&nbsp;priv_loadPole,
     java.lang.String&nbsp;happy_walk,
     java.lang.String&nbsp;batt_suff,
     java.lang.String&nbsp;insuf_batt,
     java.util.List&lt;java.lang.String&gt;&nbsp;overview_facilities_used,
     java.util.List&lt;java.lang.String&gt;&nbsp;pos_elec,
     java.util.List&lt;java.lang.String&gt;&nbsp;neg_elec,
     int&nbsp;EV_happiness,
     int&nbsp;nbr_peop_organisation,
     java.util.List&lt;java.lang.String&gt;&nbsp;work_incentives,
     java.lang.Boolean&nbsp;needs_charging,
     repast.simphony.space.grid.GridPoint&nbsp;home_location,
     double&nbsp;happiness,
     <a href="agents.html" title="class in thesis">agents</a>&nbsp;agent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLease()">getLease</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.thesis.agents">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;thesis.<a href="agents.html" title="class in thesis">agents</a></h3>
<code><a href="agents.html#AcquireNewCar()">AcquireNewCar</a>, <a href="agents.html#average_EV_happiness()">average_EV_happiness</a>, <a href="agents.html#calculate_BPM_cost()">calculate_BPM_cost</a>, <a href="agents.html#calculate_cost_of_trip(double)">calculate_cost_of_trip</a>, <a href="agents.html#calculate_gasoline_vs_diesel(int)">calculate_gasoline_vs_diesel</a>, <a href="agents.html#calculate_MRB_cost()">calculate_MRB_cost</a>, <a href="agents.html#calculate_propensity_for_EV(int)">calculate_propensity_for_EV</a>, <a href="agents.html#calculate_trip_cost_diesel(double)">calculate_trip_cost_diesel</a>, <a href="agents.html#calculate_trip_cost_Electric(double)">calculate_trip_cost_Electric</a>, <a href="agents.html#calculate_trip_cost_gasoline(double)">calculate_trip_cost_gasoline</a>, <a href="agents.html#calculate_trip_cost_Hydrogen(double)">calculate_trip_cost_Hydrogen</a>, <a href="agents.html#calculate_trip_cost_LPG(double)">calculate_trip_cost_LPG</a>, <a href="agents.html#calculate_trip_cost_PHEV(double)">calculate_trip_cost_PHEV</a>, <a href="agents.html#calculate_type_of_fuel(int)">calculate_type_of_fuel</a>, <a href="agents.html#closest_parkingSpot(repast.simphony.space.grid.Grid)">closest_parkingSpot</a>, <a href="agents.html#determine_propensity_new_car(int,int,java.lang.String)">determine_propensity_new_car</a>, <a href="agents.html#financial_considerations()">financial_considerations</a>, <a href="agents.html#get_average(thesis.agents)">get_average</a>, <a href="agents.html#get_car_combustion_type()">get_car_combustion_type</a>, <a href="agents.html#get_commute_distance()">get_commute_distance</a>, <a href="agents.html#get_current_car_type()">get_current_car_type</a>, <a href="agents.html#get_EV_Happiness()">get_EV_Happiness</a>, <a href="agents.html#get_happiness()">get_happiness</a>, <a href="agents.html#get_non_EV_Happiness()">get_non_EV_Happiness</a>, <a href="agents.html#get_overview_facilities_used()">get_overview_facilities_used</a>, <a href="agents.html#give_nr_cars()">give_nr_cars</a>, <a href="agents.html#goToWork()">goToWork</a>, <a href="agents.html#Park_Car()">Park_Car</a>, <a href="agents.html#setHomeLocation(thesis.Residence)">setHomeLocation</a>, <a href="agents.html#total_Diesel()">total_Diesel</a>, <a href="agents.html#total_EV()">total_EV</a>, <a href="agents.html#total_Gasoline()">total_Gasoline</a>, <a href="agents.html#total_Hybrid()">total_Hybrid</a>, <a href="agents.html#total_Hydrogen()">total_Hydrogen</a>, <a href="agents.html#total_PHEV()">total_PHEV</a>, <a href="agents.html#typical_profile()">typical_profile</a>, <a href="agents.html#update_happiness(repast.simphony.space.grid.Grid,java.lang.Object)">update_happiness</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(repast.simphony.context.Context,int,int,int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean,java.lang.Boolean,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,int,int,float,float,float,java.lang.String,java.lang.String,java.lang.String,int,int,int,java.util.List,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.util.List,int,int,java.util.List,java.lang.Boolean,repast.simphony.space.grid.GridPoint,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Lease</h4>
<pre>public&nbsp;Lease&#8203;(repast.simphony.context.Context&lt;java.lang.Object&gt;&nbsp;context,
             int&nbsp;id,
             int&nbsp;age,
             int&nbsp;income,
             java.lang.String&nbsp;education,
             java.lang.String&nbsp;household_composition,
             java.lang.String&nbsp;sex,
             java.lang.String&nbsp;province,
             java.lang.String&nbsp;a_work_situation,
             java.lang.String&nbsp;a_prof_situation,
             java.lang.Boolean&nbsp;a_drivers_license,
             java.lang.Boolean&nbsp;a_has_car,
             java.lang.Boolean&nbsp;a_knowledge_BEV,
             java.lang.String&nbsp;parking_home,
             java.lang.String&nbsp;parking_at_work,
             java.lang.String&nbsp;car_combustion_type,
             int&nbsp;car_age,
             int&nbsp;car_weight,
             float&nbsp;distance_traveled,
             float&nbsp;CO2_emissions_traveled,
             float&nbsp;CO2_emissions_per_km,
             java.lang.String&nbsp;property_type,
             java.lang.String&nbsp;satisfaction_commute,
             java.lang.String&nbsp;reason_to_go_with_car,
             int&nbsp;knowledge_EV,
             int&nbsp;knowledge_environmental,
             int&nbsp;participation_environmental,
             java.util.List&lt;java.lang.String&gt;&nbsp;EV_reason,
             java.lang.String&nbsp;choice_without_f_aid,
             java.lang.String&nbsp;EV_positive_surprise,
             java.lang.String&nbsp;EV_negative_surprise,
             java.lang.String&nbsp;used_shared_car,
             java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_use_shared_car,
             java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_not_use_shared_car,
             java.lang.Boolean&nbsp;priv_loadPole,
             java.lang.String&nbsp;happy_walk,
             java.lang.String&nbsp;batt_suff,
             java.lang.String&nbsp;insuf_batt,
             java.util.List&lt;java.lang.String&gt;&nbsp;overview_facilities_used,
             java.util.List&lt;java.lang.String&gt;&nbsp;pos_elec,
             java.util.List&lt;java.lang.String&gt;&nbsp;neg_elec,
             int&nbsp;EV_happiness,
             int&nbsp;nbr_peop_organisation,
             java.util.List&lt;java.lang.String&gt;&nbsp;work_incentives,
             java.lang.Boolean&nbsp;needs_charging,
             repast.simphony.space.grid.GridPoint&nbsp;home_location,
             double&nbsp;happiness)</pre>
</li>
</ul>
<a id="&lt;init&gt;(repast.simphony.context.Context,int,int,int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean,java.lang.Boolean,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,int,int,float,float,float,java.lang.String,java.lang.String,java.lang.String,int,int,int,java.util.List,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.util.List,int,int,java.util.List,java.lang.Boolean,repast.simphony.space.grid.GridPoint,double,thesis.agents)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Lease</h4>
<pre>public&nbsp;Lease&#8203;(repast.simphony.context.Context&lt;java.lang.Object&gt;&nbsp;context,
             int&nbsp;id,
             int&nbsp;age,
             int&nbsp;income,
             java.lang.String&nbsp;education,
             java.lang.String&nbsp;household_composition,
             java.lang.String&nbsp;sex,
             java.lang.String&nbsp;province,
             java.lang.String&nbsp;a_work_situation,
             java.lang.String&nbsp;a_prof_situation,
             java.lang.Boolean&nbsp;a_drivers_license,
             java.lang.Boolean&nbsp;a_has_car,
             java.lang.Boolean&nbsp;a_knowledge_BEV,
             java.lang.String&nbsp;parking_home,
             java.lang.String&nbsp;parking_at_work,
             java.lang.String&nbsp;car_combustion_type,
             int&nbsp;car_age,
             int&nbsp;car_weight,
             float&nbsp;distance_traveled,
             float&nbsp;CO2_emissions_traveled,
             float&nbsp;CO2_emissions_per_km,
             java.lang.String&nbsp;property_type,
             java.lang.String&nbsp;satisfaction_commute,
             java.lang.String&nbsp;reason_to_go_with_car,
             int&nbsp;knowledge_EV,
             int&nbsp;knowledge_environmental,
             int&nbsp;participation_environmental,
             java.util.List&lt;java.lang.String&gt;&nbsp;EV_reason,
             java.lang.String&nbsp;choice_without_f_aid,
             java.lang.String&nbsp;EV_positive_surprise,
             java.lang.String&nbsp;EV_negative_surprise,
             java.lang.String&nbsp;used_shared_car,
             java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_use_shared_car,
             java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_not_use_shared_car,
             java.lang.Boolean&nbsp;priv_loadPole,
             java.lang.String&nbsp;happy_walk,
             java.lang.String&nbsp;batt_suff,
             java.lang.String&nbsp;insuf_batt,
             java.util.List&lt;java.lang.String&gt;&nbsp;overview_facilities_used,
             java.util.List&lt;java.lang.String&gt;&nbsp;pos_elec,
             java.util.List&lt;java.lang.String&gt;&nbsp;neg_elec,
             int&nbsp;EV_happiness,
             int&nbsp;nbr_peop_organisation,
             java.util.List&lt;java.lang.String&gt;&nbsp;work_incentives,
             java.lang.Boolean&nbsp;needs_charging,
             repast.simphony.space.grid.GridPoint&nbsp;home_location,
             double&nbsp;happiness,
             <a href="agents.html" title="class in thesis">agents</a>&nbsp;agent)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getLease()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getLease</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getLease()</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Lease.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
